<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:20 CST 2018 -->
<title>H-Index</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="H-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;<a name="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#halfheart">halfheart</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/EngineGL.html#handler">handler</a></span> - Variable in class projectx.engine.<a href="../projectx/engine/EngineGL.html" title="class in projectx.engine">EngineGL</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/Handler.html" title="class in projectx.engine"><span class="typeNameLink">Handler</span></a> - Class in <a href="../projectx/engine/package-summary.html">projectx.engine</a></dt>
<dd>
<div class="block">This class is a handler for the game for ease of access throughout the entire game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/Handler.html#Handler-projectx.engine.EngineGL-">Handler(EngineGL)</a></span> - Constructor for class projectx.engine.<a href="../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/Terminal.html#handler">handler</a></span> - Variable in class projectx.engine.terminal.<a href="../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/ui/UIImageButton.html#hardReset--">hardReset()</a></span> - Method in class projectx.engine.ui.<a href="../projectx/engine/ui/UIImageButton.html" title="class in projectx.engine.ui">UIImageButton</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/controls/ai/utils/Node.html#hCost">hCost</a></span> - Variable in class projectx.engine.controls.ai.utils.<a href="../projectx/engine/controls/ai/utils/Node.html" title="class in projectx.engine.controls.ai.utils">Node</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#heart">heart</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/enums/NonmovingType.html#height">height</a></span> - Variable in enum projectx.game.enums.<a href="../projectx/game/enums/NonmovingType.html" title="enum in projectx.game.enums">NonmovingType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/enums/ObjectsType.html#height">height</a></span> - Variable in enum projectx.game.enums.<a href="../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#helmet">helmet</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/terminal/procs/global/host.html" title="class in projectx.engine.terminal.procs.global"><span class="typeNameLink">host</span></a> - Class in <a href="../projectx/engine/terminal/procs/global/package-summary.html">projectx.engine.terminal.procs.global</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/procs/global/host.html#host--">host()</a></span> - Constructor for class projectx.engine.terminal.procs.global.<a href="../projectx/engine/terminal/procs/global/host.html" title="class in projectx.engine.terminal.procs.global">host</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/client/DataProtocol.html#host-java.lang.String-int-">host(String, int)</a></span> - Method in class projectx.game.client.<a href="../projectx/game/client/DataProtocol.html" title="class in projectx.game.client">DataProtocol</a></dt>
<dd>
<div class="block">Hosts a game at the given ip and port</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/client/DataProtocol.html#host--">host()</a></span> - Method in class projectx.game.client.<a href="../projectx/game/client/DataProtocol.html" title="class in projectx.game.client">DataProtocol</a></dt>
<dd>
<div class="block">Default host method</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#host_button">host_button</a></span> - Static variable in class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#hurt-int-">hurt(int)</a></span> - Method in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>
<div class="block">This method receives the amount of damage done to an entity and removes the health accordingly</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/Entity.html#hurt-int-">hurt(int)</a></span> - Method in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/nonmoving/Nonmoving.html#hurt-int-">hurt(int)</a></span> - Method in class projectx.engine.managers.entities.nonmoving.<a href="../projectx/engine/managers/entities/nonmoving/Nonmoving.html" title="class in projectx.engine.managers.entities.nonmoving">Nonmoving</a></dt>
<dd>
<div class="block">This method receives the amount of damage done to an entity and removes the health accordingly</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/objects/Objects.html#hurt-int-">hurt(int)</a></span> - Method in class projectx.engine.managers.entities.objects.<a href="../projectx/engine/managers/entities/objects/Objects.html" title="class in projectx.engine.managers.entities.objects">Objects</a></dt>
<dd>
<div class="block">This method receives the amount of damage done to an entity and removes the health accordingly</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
